Übersicht über das Webbereitstellungstool für IIS-Manager

Das Microsoft-Webbereitstellungstool (Web Deploy) synchronisiert oder migriert die IIS-Konfiguration, den Inhalt, SSL-Zertifikate und andere Datentypen von einer benutzerdefinierten Site oder einem benutzerdefinierten Server zu einem benutzerdefinierten Ziel. Sie können auch Objekte, z. B. Registrierungsschlüssel, bereitstellen, die nicht standardmäßig enthalten sind.

Verwaltungsdienstdelegierung

In IIS Manager fügt Web Deploy auf Serverebene ein Feature hinzu, das nur für Administratoren verfügbar ist, die Verwaltungsdienstdelegierung. Mit diesem Feature können Sie die Bereitstellungsaktionen sehr genau steuern, die Benutzer durchführen können. Weitere Informationen finden Sie unter Seite "Verwaltungsdienstdelegierung".

Exportieren und Importieren von Anwendungen

Im Bereich IIS Manager-Aktionen können Sie mithilfe des tooleigenen Assistenten zum Exportieren des Anwendungspakets komprimierte Dateien (Pakete) erstellen, die Ihre Sites, Anwendungen und Inhalte enthalten. Weitere Informationen finden Sie unter Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets.

Nach dem Export des Pakets können Sie mit dem Assistenten zum Importieren des Anwendungspakets den Inhalt des Pakets an einem anderen Ort installieren. Weitere Informationen finden Sie unter Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets.

Befehlszeilenfeatures

Die ausführbare Datei des Webbereitstellungstools, Msdeploy.exe, bietet viele leistungsstarke Befehlszeilenfeatures. Um eine kurze Hilfeübersicht über die Msdeploy.exe-Features anzuzeigen, geben Sie an der Eingabeaufforderung msdeploy -help ein. Ausführlichere Informationen finden Sie online unter Webbereitstellungstool (möglicherweise in englischer Sprache).

Zusätzliche Onlineressourcen (möglicherweise in englischer Sprache)

IIS.NET: Webbereitstellungstool

IIS.NET: Webbereitstellungstool – Forum

IIS.NET: Microsoft-Webbereitstellungsteam – Blog


Hilfe für die Benutzeroberfläche des Webbereitstellungstools

IIS Manager stellt Beschreibungen aller Benutzeroberflächenelemente der Featureseiten, Dialogfelder und Seiten von Assistenten in IIS Manager bereit. Drücken Sie zum Anzeigen dieser Hilfe auf der aktiven Featureseite, im Dialogfeld oder auf einer Seite im Assistenten die F1-TASTE.

In diesem Abschnitt

Seite "Verwaltungsdienstdelegierung"

Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets


Seite "Verwaltungsdienstdelegierung"

Geben Sie auf der Seite Verwaltungsdienstdelegierung die Regeln an, die die Bereitstellungsberechtigungen der Remotebenutzer steuern. Die Seite Verwaltungsdienstdelegierung kann nur von Administratoren verwendet werden und wird nur auf der Serverebene angezeigt.

Benutzeroberflächenelemente

Elementname | Beschreibung
Anbieter | Zeigt den oder die Anbieter an, für den bzw. die die Regel gilt.
Pfad | Gibt den Pfad an, für den die Regel gilt.
Pfadtyp | Zeigt den Typ des Pfads an. Mögliche Werte sind PathPrefix, StringPrefix, StringSuffix, ConnectionString und RegularExpression.
Aktionen | Zeigt die Aktionen an, die die Regel durchführt. Typische Werte für Web Deploy-Anbieter sind Lesen, Schreiben und *.
Identitätstyp | Zeigt den Identitätstyp an, unter dem die Regel ausgeführt wird. Mögliche Werte sind CurrentUser, ProcessIdentity und SpecificUser.
Benutzername | Zeigt den Benutzernamen an, wenn SpecificUser als Identitätstyp ausgewählt wurde. Wenn der Identitätstyp CurrentUser oder ProcessIdentity ist, wird kein Benutzername angezeigt.
Zustand | Zeigt an, ob die Regel aktiviert oder deaktiviert ist. Sie können Regeln aktivieren oder deaktivieren, indem Sie im Bereich Aktionen auf Regel aktivieren oder Regel deaktivieren klicken.

Elemente des Bereichs "Aktionen"

Elementname | Beschreibung
Regel hinzufügen... | Öffnet das Dialogfeld Regel hinzufügen. Wählen Sie diese Option, um eine Regel hinzuzufügen. Weitere Informationen finden Sie unter Dialogfeld "Regel hinzufügen" (Verwaltungsdienstdelegierung).
Benutzer zu Regel hinzufügen… | Öffnet das Dialogfeld Benutzer zu Regel hinzufügen. Weitere Informationen finden Sie unter Dialogfeld "Benutzer zu Regel hinzufügen".
Bearbeiten… | Öffnet das Dialogfeld Regel bearbeiten. Weitere Informationen finden Sie unter Dialogfelder "Regel hinzufügen/Regel bearbeiten".
Entfernen | Entfernt die ausgewählte Delegierungsregel oder den Delegierungsregelbenutzer.
Regel deaktivieren | Deaktiviert die ausgewählte Delegierungsregel.
Regel aktivieren | Aktiviert die ausgewählte Delegierungsregel.
Featureeinstellungen bearbeiten… | Öffnet das Dialogfeld Featureeinstellungen bearbeiten. Weitere Informationen finden Sie unter Dialogfeld "Featureeinstellungen bearbeiten" (Verwaltungsdienstdelegierung).


Dialogfeld "Regel hinzufügen" (Verwaltungsdienstdelegierung)
Siehe auch

Wählen Sie im Dialogfeld Regelvorlage auswählen eine Vorlage aus, die Sie verwenden können, um eine benutzerdefinierte Delegierungsregel zu erstellen. Sie können eine leere Vorlage oder eine installierte Vorlage auswählen, die für spezifische Szenarien entwickelt wurde.

Benutzeroberflächenelemente

Installierte Vorlagen

Elementname Beschreibung

Leere Regel

Erstellt eine leere Regel, die Sie anpassen können.

Nur Inhalt bereitstellen

Erstellt eine Regel, die die Bereitstellung des Inhalts ermöglicht. Die Regel ermöglicht es jedem Benutzer mit Berechtigung für den Webverwaltungsdienst (Web Management Service, WMSvc), Inhalt unter einem Pfad zu veröffentlichen, zu dem der Benutzer bereits über die WMSvc-Berechtigung verfügt. Durch Bearbeitung der Regel kann der Zugriff auf einen bestimmten Pfad oder Benutzer beschränkt werden. Diese Regel verwendet den contentPath-Anbieter, der den Inhalt der Website synchronisiert. Weitere Informationen finden Sie unter Web Deploy contentPath-Anbieter (möglicherweise in englischer Sprache).

Anwendungen mit Inhalt bereitstellen

Erstellt eine Regel, die die Bereitstellung der Anwendungen ermöglicht. Diese Vorlage enthält keine Regel, die einen Ordner als Anwendung markiert, aber sie wird häufig in Kombination mit einer solchen Regel verwendet. Die Regel ermöglicht es jedem Benutzer mit WMSvc-Berechtigung, eine Anwendung unter einem Pfad zu veröffentlichen, zu dem der Benutzer bereits über die WMSvc-Berechtigung verfügt. Durch Bearbeitung der Regel kann der Zugriff auf einen bestimmten Pfad oder Benutzer beschränkt werden. Diese Regel verwendet die Anbieter contentPath und iisApp. Weitere Informationen finden Sie unter Web Deploy contentPath-Anbieter (möglicherweise in englischer Sprache) und Web Deploy iisApp-Anbieter (möglicherweise in englischer Sprache).

Datenbanken bereitstellen

Erstellt eine Regel, die die Bereitstellung von Datenbanken ermöglicht. Diese Regel ermöglicht es jedem Benutzer mit WMSvc-Berechtigung, Inhalt in jeder Datenbank zu veröffentlichen, zu der sie Zugriff haben. In der Vorlage ist angegeben, dass das CurrentUser-Konto verwendet wird; das bedeutet, dass die Verbindungszeichenfolge zur Authentifizierung des Benutzers am Datenbankserver verwendet wird. Durch Bearbeitung der Regel kann der Zugriff auf einen bestimmten Datenbankserver oder -namen beschränkt werden. Diese Regel verwendet den dbFullSql-Anbieter, der die erstmalige Veröffentlichung von Datenbanken aus einer lokalen SQL Server-Entwicklungsdatenbank zu einer remote gehosteten SQL Server-Datenbank ermöglicht. Weitere Informationen finden Sie unter Web Deploy dbFullSql-Anbieter (möglicherweise in englischer Sprache).

Ordner als Anwendungen markieren

Erstellt eine Regel, die einen Ordner als Anwendung markiert. Die Regel ermöglicht es jedem Benutzer mit WMSvc-Berechtigung, einen Ordner als Anwendung zu markieren. Wenn der Benutzer kein Administrator ist, müssen Sie den Identitätstyp in ein Konto ändern, das über Schreibberechtigung für die ApplicationHost.config-Datei verfügt. Der standardmäßige Identitätstyp für diese Regel ist SpecificUser. Die Regel verwendet den createApp-Anbieter, der zur Markierung von Ordnern als Anwendungen erforderlich ist und dessen Funktionalität im iisApp-Anbieter enthalten ist. Weitere Informationen finden Sie unter Web Deploy iisApp-Anbieter (möglicherweise in englischer Sprache).

Berechtigungen für Anwendungen festlegen

Erstellt eine Regel, die ACLs für einen Anwendungspfad festlegt. Die Regel ermöglicht es jedem Benutzer mit WMSvc-Berechtigung, Dateisystem-ACLs für einen Anwendungspfad festzulegen, zu dem der Benutzer bereits über die WMSvc-Berechtigung verfügt. In der Vorlage ist angegeben, dass das CurrentUser-Konto verwendet wird; das bedeutet, dass der Benutzer über die entsprechenden Berechtigungen verfügen muss, um ACLs zu ändern. Durch Bearbeitung der Regel kann der Zugriff auf einen bestimmten Pfad oder Benutzer beschränkt werden. Diese Regel verwendet den setAcl-Anbieter, der Berechtigungen für einen Zielordner festlegt. Weitere Informationen finden Sie unter Web Deploy setAcl-Anbieter (möglicherweise in englischer Sprache). .

Datenbanken sichern und wiederherstellen (mit SQL-Authentifizierung)

Erstellt eine Regel, die Datenbanken mithilfe der SQL-Authentifizierung sichert und wiederherstellt. Die Regel ermöglicht es jedem Benutzer mit WMSvc-Berechtigung, eine Sicherung der Datenbank zu erstellen oder wiederherzustellen, zu der der Benutzer bereits Zugriff hat. Die Sicherungs- und Wiederherstellungsvorgänge werden mit einer bestimmten Benutzeridentität mithilfe der SQL-Authentifizierung durchgeführt. Durch Bearbeitung der Regel kann der Zugriff auf eine bestimmte Datenbank und eine bestimmte Benutzergruppe beschränkt werden.

Hinweis
Verwenden Sie die Vorlage mit der IIS-Datenbank-Manager-Erweiterung. Weitere Informationen zum IIS-Datenbank-Manager finden Sie unter Datenbank-Manager (möglicherweise in englischer Sprache).

Datenbanken sichern und wiederherstellen (mit integrierter Windows-Sicherheit)

Erstellt eine Regel, die Datenbanken mithilfe der Windows-Authentifizierung sichert und wiederherstellt. Die Regel ermöglicht es jedem Benutzer mit WMSvc-Berechtigung, eine Sicherung der Datenbank zu erstellen oder wiederherzustellen, zu der der Benutzer bereits Zugriff hat. Durch Bearbeitung der Regel kann der Zugriff auf eine bestimmte Datenbank und eine bestimmte Benutzergruppe beschränkt werden.

Hinweis
Verwenden Sie die Vorlage mit der IIS-Datenbank-Manager-Erweiterung. Weitere Informationen zum IIS-Datenbank-Manager finden Sie unter Datenbank-Manager (möglicherweise in englischer Sprache).

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets

Weitere Ressourcen

Web Deploy-Anbieter


Dialogfelder "Regel hinzufügen/Regel bearbeiten"

In den Dialogfeldern Regel hinzufügen und Regel bearbeiten können Sie Delegierungsregeln hinzufügen bzw. bearbeiten.

Benutzeroberflächenelemente

Elementname | Beschreibung
Anbieter | Wählen Sie in der Dropdownliste die Anbieter aus, die Sie zur Regel hinzufügen oder aus der Regel entfernen möchten, bzw. heben Sie die Auswahl auf, und klicken Sie dann auf den Pfeil der Dropdownliste, um die Änderungen zu bestätigen. Die Anbieter werden in einer durch Trennzeichen getrennten Liste angezeigt. Weitere Informationen über Web Deploy-Anbieter finden Sie unter Web Deploy-Anbieter (möglicherweise in englischer Sprache).
Aktionen | Wählen Sie in der Dropdownliste die Aktionen aus, die Sie zur Regel hinzufügen oder aus der Regel entfernen möchten, bzw. heben Sie die Auswahl auf, und klicken Sie dann auf den Pfeil der Dropdownliste, um die Änderungen zu bestätigen. Die Aktionen werden in einer durch Trennzeichen getrennten Liste angezeigt. Typische Werte für Web Deploy sind Lesen, Schreiben und *.
Pfadtyp | Wählen Sie in der Dropdownliste einen Pfadtyp aus. Mögliche Werte sind PathPrefix, StringPrefix, StringSuffix, ConnectionString und RegularExpression. Weitere Informationen zu regulären Ausdrücken finden Sie unter Reguläre Ausdrücke (möglicherweise in englischer Sprache).
Pfad | Geben Sie den Pfad ein, für den die Regel gilt.
Identitätstyp | Wählen Sie in der Dropdownliste den Identitätstyp für die Regel aus. Die ausgewählte Identität führt die Regel aus. Mögliche Werte sind CurrentUser, ProcessIdentity und SpecificUser. Der Wert CurrentUser gibt an, dass die Identität des aktuellen Benutzers verwendet wird. Der Wert ProcessIdentity gibt an, dass die Identität des lokalen WMSvc-Diensts verwendet wird. Der Wert SpecificUser gibt an, dass eine spezielle Identität verwendet wird, die Sie angeben können. Wenn Sie SpecificUser auswählen, klicken Sie auf Anmeldeinformationen angeben und Festlegen, um die Anmeldeinformationen anzugeben.
Anmeldeinformationen angeben | Macht die Schaltfläche Festlegen verfügbar, wenn Sie als Identitätstyp SpecificUser angeben.
Festlegen | Öffnet das Dialogfeld Anmeldeinformationen festlegen, in dem Sie einen Benutzernamen und ein Kennwort für die Identität SpecificUser festlegen können. Weitere Informationen finden Sie unter Dialogfeld "Anmeldeinformationen festlegen".


Dialogfeld "Anmeldeinformationen festlegen"

Geben Sie im Dialogfeld Anmeldeinformationen festlegen einen Benutzernamen und ein Kennwort für den Windows-Benutzer ein, der die Regel ausführt.

Benutzeroberflächenelemente

Elementname | Beschreibung
Benutzername | Geben Sie den Namen eines Windows-Benutzers ein.
Kennwort | Geben Sie das Kennwort ein.
Kennwort bestätigen | Bestätigen Sie das Kennwort durch erneute Eingabe.

Siehe auch

Begriffe

Dialogfelder "Regel hinzufügen/Regel bearbeiten"


Dialogfeld "Benutzer zu Regel hinzufügen"

Im Dialogfeld Benutzer zu Regel hinzufügen können Sie einem Benutzer Zugriff zu einer Regel gewähren oder verweigern.

Benutzeroberflächenelemente

Elementname | Beschreibung
Name | Geben Sie den Benutzernamen ein.
Zugriffstyp | Wählen Sie den Zugriffstyp aus, den Sie für einen bestimmten Benutzer einrichten möchten. Mögliche Werte sind Zulassen oder Verweigern.
Ist Rolle? | Aktivieren Sie dieses Kontrollkästchen, wenn der angegebene Benutzername ein Alias für eine Benutzergruppe ist, für die der Zugriff zugelassen oder abgelehnt wird.


Dialogfeld "Featureeinstellungen bearbeiten" (Verwaltungsdienstdelegierung)

Über das Dialogfeld Featureeinstellungen bearbeiten können Sie zulassen, dass Administratoren die Delegierungsregeln umgehen können, und die Protokollierung von Anforderungsfehlern ermöglichen.

Benutzeroberflächenelemente

Elementname Beschreibung

Administratoren die Umgehung von Regeln ermöglichen

Wählen Sie diese Option aus, damit Administratoren die angegebenen Delegierungsregeln umgehen können.

Ablaufverfolgungsprotokolle für Anforderungsfehler für den Delegierungsdienst aktivieren

Wählen Sie diese Option aus, um die Protokollierung der Anforderungsfehlerinformationen zu ermöglichen.

Warnung
Hierzu muss das Ablaufverfolgungsmodul für Anforderungsfehler installiert sein.


Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets

Seite "Wählen Sie den Inhalt des Pakets aus"

Seite "Parameter auswählen"

Seite "Paket speichern"

Dialogfeld "Verschlüsselungskennwort"

Seite "Exportfortschritt und Zusammenfassung"


Seite "Wählen Sie den Inhalt des Pakets aus"

Zeigen Sie im Assistenten zum Exportieren des Anwendungspakets auf der Seite Wählen Sie den Inhalt des Pakets aus die Komponenten an, die in dem Paket enthalten sind, das Sie erstellen möchten.

Pakete können Komponenten wie z. B. die Registrierungseinstellungen, COM, GAC-Assemblys oder Zertifikate enthalten. Um diese Komponenten auf Ihrem Server zu installieren, müssen Sie ein Mitglied der Gruppe Administratoren sein, oder die entsprechenden Berechtigungen müssen Ihnen zugewiesen worden sein. Administratorberechtigungen sind nicht erforderlich, wenn nur Inhalt installiert wird.

Benutzeroberflächenelemente

Elementname Beschreibung

Paketinhalt

Listet die Komponenten auf, die im Paket enthalten sind. Sie können beliebige Komponenten zu dem Paket hinzufügen, indem Sie die entsprechenden Kontrollkästchen aktivieren oder deaktivieren. Sie können z. B. eine SQL-Datenbank oder GAC-Assembly ein- oder ausschließen, indem Sie das entsprechende Kontrollkästchen aktivieren oder deaktivieren.

Vorsicht
Einige Komponenten sind möglicherweise erforderlich, um die Anwendung auszuführen. Wenn Sie die Kontrollkästchen für diese Komponenten deaktivieren, funktioniert die Anwendung nach der Installation möglicherweise nicht ordnungsgemäß.

Attribute

Zeigt im rechten Bereich die Attribute der ausgewählten Datei oder Komponente bzw. des ausgewählten Verzeichnisses an. Diese Werte sind schreibgeschützt.

Komponenten verwalten...

Öffnet das Dialogfeld Komponenten verwalten. Darin können Sie auswählen, welche Komponenten enthalten sein sollen. Weitere Informationen finden Sie unter Dialogfeld "Komponenten verwalten".

Erweiterte Einstellungen…

Öffnet das Dialogfeld Erweiterte Einstellungen. In diesem Dialogfeld können Sie die Einstellungen und Regeln für Vorgänge festlegen. Weitere Informationen finden Sie unter Dialogfeld "Erweiterte Einstellungen" (Exportieren).

Siehe auch

Begriffe

Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets

Weitere Ressourcen

Exportieren eines Pakets über IIS Manager (Onlineressource) (möglicherweise in englischer Sprache)


Dialogfeld "Komponenten verwalten"

Fügen Sie im Assistenten zum Exportieren des Anwendungspakets im Dialogfeld Komponenten verwalten Komponenten, z. B. COM-Objekte oder GAC-Assemblys, zu Ihrem Paket hinzu.

Benutzeroberflächenelemente

Spaltenüberschriften

Elementname Beschreibung

Anbietername

Gibt die Komponente an, die im Paket hinzugefügt werden soll. Jede Komponente hat einen Anbieter. Klicken Sie in das Feld, um über die Dropdownliste einen Anbieternamen auszuwählen. Zeigen Sie auf einen Anbieternamen, um eine Beschreibung des Anbieters anzuzeigen. Wenn Sie z. B. dbFullSql auswählen, wird der Pfad eines Skripts oder eine Verbindungszeichenfolge zu dem Paket hinzugefügt. Weitere Informationen finden Sie unter Web Deploy-Anbieter (möglicherweise in englischer Sprache).

Wichtig
Wenn eine Website dem Paket hinzugefügt wird, markiert der iisApp-Anbieter (Standardeinstellung) die Website als Anwendung im Ziel. Wenn Sie eine Website und die gesamte zugehörige Konfiguration (z. B. den Anwendungspoolnamen, den Speicherort des Inhaltsverzeichnisses und alle Zertifikate) einem Paket hinzufügen möchten, verwenden Sie den appHostConfig-Anbieter. Wenn Sie den iisApp-Anbieter verwenden, wird die Website im Ziel eine Anwendung, die alle Einstellungen (z. B. den Anwendungspoolnamen und das Inhaltsverzeichnis) von der Site übernimmt, in der sie installiert wird.

Pfad

Gibt den Pfad der Komponente an, die die Daten für das Paket bereitstellt. Wenn Sie z. B. dbFullSql auswählen, kann der Pfad ein Skript wie beispielsweise C:\SQL-Dateien\SQLinstallieren.sql oder eine Verbindungszeichenfolge wie Datenquelle=.\sqlexpress;Integrierte Sicherheit=SSPI;Erster Katalog=db1 angeben.

Einstellungen 'Anbieter'

Gibt die Anbietereinstellungen an, die Sie für den ausgewählten Anbieter verwenden möchten. Klicken Sie in das Feld, um mithilfe der Schaltfläche zum Durchsuchen (…) das Dialogfeld Einstellungen 'Anbieter' zu öffnen. Weitere Informationen finden Sie unter Dialogfeld "Einstellungen 'Anbieter'".

Schaltflächen

Elementname | Beschreibung
Entfernen | Löscht den ausgewählten Eintrag.
Nach oben | Verschiebt die ausgewählte Zeile in der Liste nach oben. Einträge werden in der Reihenfolge installiert, in der sie in der Liste angezeigt werden. Für einige Anbieter spielt die Reihenfolge der Einträge eine Rolle. Ein Skript für die Erstellung einer Tabelle sollte z. B. vor dem Skript zum Ausfüllen der Tabelle ausgeführt werden.
Nach unten | Verschiebt die ausgewählte Zeile in der Liste nach unten. Einträge werden in der Reihenfolge installiert, in der sie in der Liste angezeigt werden.

Siehe auch

Begriffe

Seite "Wählen Sie den Inhalt des Pakets aus"
Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Dialogfeld "Einstellungen 'Anbieter'"

Legen Sie im Dialogfeld Einstellungen 'Anbieter' die Einstellungen für den ausgewählten Anbieter fest. Einstellungen werden nicht für alle Anbieter festgelegt.

Benutzeroberflächenelemente

Elementname | Beschreibung
Einstellungsname | Zeigt den Namen der Einstellung für den ausgewählten Anbieter an. Nur die Einstellungen, die für den ausgewählten Anbieter relevant sind, werden aufgelistet.
Wert der Einstellung | Geben Sie den Wert der Einstellung ein, oder wählen Sie ihn aus. Wenn eine Dropdownliste verfügbar ist, werden die möglichen Werte der Einstellung darin aufgeführt. Bei Werten, die Sie eingeben müssen, werden Informationen in einem Beschreibungsfeld zu den möglichen Werten angezeigt.
Beschreibung der Einstellung | Zeigt eine Beschreibung der ausgewählten Einstellung für den Anbieter an. Bietet Informationen darüber, welche Werte für die Einstellung zulässig sind.

Siehe auch

Begriffe

Dialogfeld "Komponenten verwalten"
Seite "Wählen Sie den Inhalt des Pakets aus"
Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets

Weitere Ressourcen

Web Deploy-Anbietereinstellungen


Dialogfeld "Erweiterte Einstellungen" (Exportieren)

Verwenden Sie im Assistenten zum Exportieren des Anwendungspakets das Dialogfeld Erweiterte Einstellungen, um Einstellungen für Ihr Paket anzugeben.

Benutzeroberflächenelemente

Erweiterte Optionen

Elementname Beschreibung

Verschlüsselungskennwort

Klicken Sie auf die drei Punkte (...), um das Dialogfeld Verschlüsselungskennwort zu öffnen und ein alphanumerisches Kennwort anzugeben, das den Zugriff auf die sicheren Eigenschaften in der IIS-Konfiguration steuert.

Web Deploy erkennt automatisch, ob ein verschlüsseltes Objekt, z. B. ein Anwendungspool mit benutzerdefinierter Identität, in Konfigurationsdateien auf Serverebene vorliegt (z. B. ApplicationHost.config oder Machine.config). Wenn ein verschlüsseltes Objekt vorliegt, müssen Sie ein Kennwort dafür angeben. Wenn nicht das richtige Kennwort angegeben wird, tritt bei der Durchführung des Exportvorgangs ein Fehler auf.

Wichtig
Web Deploy überprüft Web.config-Dateien nicht auf verschlüsselte Objekte hin.

ACLs aufnehmen

Wählen Sie True, wenn ACLs des angegebenen Pfads von der Quelle zum Ziel kopiert werden. Wenn das nicht der Fall ist, wählen Sie False. Diese Einstellung gilt für das Dateisystem, die Registrierung, die Metabasis und nur diese Anbieter: appHostConfig, contentPath, iisApp, metaKey, webServer und webServer60. Der Standardwert ist False.

Verknüpfungserweiterung

Klicken Sie auf das rechte Feld, und klicken Sie dann auf den Pfeil, um die Dropdownliste mit Verknüpfungserweiterungen anzuzeigen. Wählen Sie die Erweiterungen in der Liste aus, bzw. heben Sie die Auswahl auf, um die Verknüpfungserweiterungen, die für den Vorgang gelten sollen, zu aktivieren oder zu deaktivieren. Verknüpfungserweiterungen schließen bestimmte Datenarten für einen Vorgang ein bzw. aus. Verfügbare Web Deploy-Erweiterungen sind AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension und HttpCertConfigExtension. Diese Erweiterungen sind standardmäßig aktiviert. Weitere Informationen zu Verknüpfungserweiterungen finden Sie unter Web Deploy-Linkverknüpfungen (möglicherweise in englischer Sprache).

Erneute Versuche

Geben Sie ein, wie oft der Anbieter nach einem Fehler versucht, den Vorgang zu wiederholen. In der Standardeinstellung werden fünf erneute Versuche mit einer Verzögerung von einer Sekunde zwischen jedem erneuten Versuch durchgeführt. Die Einstellungen für erneute Versuche können nur mit dem contentPath-Anbieter verwendet werden.

Zeitraum zwischen den Versuchen

Geben Sie einen Wert in Millisekunden ein. Der Wert gibt das Zeitintervall zwischen den erneuten Versuchen des Anbieters an. Die Standardeinstellung ist 1.000 (eine Sekunde). Diese Einstellung kann nur mit dem contentPath-Anbieter verwendet werden.

Ablaufverfolgungsebene

Wählen Sie in der Dropdownliste einen Wert aus, der den Detaillierungsgrad in Fehlermeldungsprotokollen angibt. Mögliche Werte sind: Aus, Fehler, Warnung, Informationen und Ausführlich. Der Standardwert ist Informationen. Wenn Aus ausgewählt ist, werden keine Fehlermeldungen protokolliert. Wenn Ausführlich ausgewählt ist, werden alle Fehlermeldungen protokolliert.

Synchronisierungsoptionen

Elementname Beschreibung

Regeln

Öffnet das Dialogfeld Regeln aktivieren oder deaktivieren, in dem Sie Regeln für den Vorgang angeben können. Weitere Informationen finden Sie unter Dialogfeld "Regeln aktivieren oder deaktivieren".

WhatIf

Klicken Sie auf die Dropdownliste, um True oder False anzugeben. True gibt an, dass der Vorgang ausgeführt wird, ohne dass Änderungen vorgenommen werden. Mit dieser Einstellung können Sie die Ergebnisse eines Vorgangs anzeigen, wenn alle Teile des Vorgangs erfolgreich ausgeführt werden. Der Standardwert ist False.

Hinweis
Ein Befehl, der mit der WhatIf-Einstellung erfolgreich zu sein scheint, schlägt u. U. fehl, wenn er ohne die WhatIf-Einstellung ausgeführt wird. Das kann geschehen, wenn während des Vorgangs unerwartete Fehler auftreten. Da während eines WhatIf-Vorgangs beispielsweise keine Daten geschrieben werden, werden keine Fehler bezüglich Schreibberechtigungen erkannt. Die WhatIf-Einstellung zeigt nur, was passiert, wenn alle Befehle erfolgreich ausgeführt werden.

Siehe auch

Begriffe

Seite "Wählen Sie den Inhalt des Pakets aus"
Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Dialogfeld "Regeln aktivieren oder deaktivieren"

Verwenden Sie das Dialogfeld Regeln aktivieren oder deaktivieren, um Regeln zu aktivieren oder zu deaktivieren, die das Ergebnis eines Synchronisierungsvorgangs beeinflussen. Wählen Sie in der Dropdownliste Gruppieren nach die Option Zustand aus, um die Regeln in aktivierte und deaktivierte Kategorien einzuteilen, oder wählen Sie Keine Gruppierung, um die Regeln in alphabetischer Reihenfolge anzuzeigen.

Benutzeroberflächenelemente

Spaltenüberschriften

Elementname | Beschreibung
Name | Listet die Namen der Synchronisierungsregeln auf, die Sie aktivieren oder deaktivieren können. Die fett formatierten Regeln sind standardmäßig aktiviert, und die Regeln mit grau hinterlegtem Text sind standardmäßig deaktiviert. Um Regeln zu aktivieren oder zu deaktivieren, wählen Sie die Regel aus, und klicken Sie auf die Schaltfläche Regel aktivieren oder Regel deaktivieren. Weitere Informationen zu Regeln finden Sie unter Web Deploy-Regeln (möglicherweise in englischer Sprache).

Schaltflächen

Elementname | Beschreibung
Regel aktivieren | Aktiviert die ausgewählte Regel.
Regel deaktivieren | Deaktiviert die ausgewählte Regel.

Siehe auch

Begriffe

Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets
Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets


Seite "Parameter auswählen"

Verwenden Sie im Assistenten zum Exportieren des Anwendungspakets die Seite Parameter auswählen, um Parameter zum Paket hinzuzufügen oder aus dem Paket zu entfernen. Sie können einen Parameter zu einem Attribut zuweisen, wenn Sie das Paket erstellen. Wenn das Paket installiert ist, kann der Benutzer einen benutzerdefinierten Wert für den Parameter angeben, und der neue Wert wird dem Attribut zugewiesen. Parameter werden für jeden Anbieter automatisch erzeugt.

Benutzeroberflächenelemente

Spaltenüberschriften

Elementname | Beschreibung
Name | Listet die Namen der Parameter auf, die Sie im Dialogfeld Parameter hinzufügen hinzugefügt haben. Um einen Parameter zu bearbeiten, doppelklicken Sie auf den Parameter, oder wählen Sie den Parameter aus, und klicken Sie dann auf Bearbeiten.
Typ | Zeigt den Parametertyp für das zu parametrisierende Attribut ein.
Bereich | Zeigt den Bereich für das zu parametrisierende Attribut an.
Übereinstimmung | Zeigt den übereinstimmenden Ausdruck an, der das zu parametrisierende Attribut identifiziert.

Schaltflächen

Elementname Beschreibung

Parameter hinzufügen

Öffnet das Dialogfeld Parameter hinzufügen. In diesem Dialogfeld können Sie einen Parameter hinzufügen und seine Eigenschaften festlegen. Weitere Informationen finden Sie unter Dialogfelder "Parameter hinzufügen" und "Parameter bearbeiten".

Parametereintrag hinzufügen

Öffnet das Dialogfeld Parametereintrag hinzufügen. In diesem Dialogfeld können Sie die Werte <ui>Typ</ui>, <ui>Bereich</ui> und <ui>Übereinstimmung</ui> für den ausgewählten Parameter konfigurieren. Weitere Informationen finden Sie unter Dialogfeld "Parametereintrag hinzufügen". Diese Option ist verfügbar, wenn Sie einen Parameter oder einen Parametereintrag auswählen.

Bearbeiten

Wenn ein Parameter ausgewählt ist, wird über diese Schaltfläche das Dialogfeld Parameter bearbeiten geöffnet. In diesem Dialogfeld können Sie die Eigenschaften eines vorhandenen Parameters bearbeiten. Weitere Informationen finden Sie unter Dialogfelder "Parameter hinzufügen" und "Parameter bearbeiten".

Wenn ein Parametereintrag ausgewählt ist, wird über diese Schaltfläche das Dialogfeld Parametereintrag bearbeiten geöffnet. Weitere Informationen finden Sie unter Dialogfeld "Parametereintrag bearbeiten".

Entfernen

Entfernt den ausgewählten Parameter.

Nach oben

Verschiebt den ausgewählten Parameter in der Liste der Parameter nach oben. Parameter werden in der Reihenfolge verarbeitet, in der sie in der Liste angezeigt werden.

Nach unten

Verschiebt den ausgewählten Parameter in der Liste der Parameter nach unten. Parameter werden in der Reihenfolge verarbeitet, in der sie in der Liste angezeigt werden.

Siehe auch

Begriffe

Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Dialogfelder "Parameter hinzufügen" und "Parameter bearbeiten"

Geben Sie im Dialogfeld Parameter hinzufügen einen neuen Parameter für das Anwendungspaket an, oder bearbeiten Sie einen vorhandenen Parameter im Dialogfeld Parameter bearbeiten.

Benutzeroberflächenelemente

Elementname Beschreibung

Name

Geben Sie einen Namen für den Parameter ein. Z. B. Verbindungszeichenfolge.

Standardwert

Geben Sie für den Parameter einen Standardwert ein. Wenn das Paket später bereitgestellt wird, hat der Parameter diesen Wert, wenn der Benutzer nicht einen anderen Wert angibt. Wenn Sie z. B. für den Parameternamen Verbindungszeichenfolge eingeben, können Sie Datenquelle=.\SQLExpress;Datenbank=Test;Integrierte Sicherheit als Standardwert verwenden. Diese Eingabe ist nicht erforderlich.

Wichtig
Wenn Sie sicherstellen möchten, dass der Benutzer einen Wert für den Parameter eingibt, geben Sie keinen Standardwert an.

Tags

Geben Sie eine durch Trennzeichen getrennte Liste mit benutzerdefinierten Attributen ein. Tags sind Attribute, die für diesen Parameter optional sind, und die später angegeben werden können. Ihr Parameter könnte z. B. als Kennwort gekennzeichnet werden, damit der Wert des Kennworts nicht in einer Benutzeroberfläche angezeigt wird. Diese Eingabe ist nicht erforderlich. Wenn Sie das Beispiel in der Beschreibung des Elements Standardwert wählen, können Sie die Tags SQL, SQLVerbindungszeichenfolge für den Parameter Verbindungszeichenfolge verwenden.

Beschreibung

Geben Sie eine Beschreibung für den Parameter ein. Beispiel: „Das ist die Verbindungszeichenfolge für die Datenbank, die Ihre Anwendung verwendet. Bitte ändern Sie diese Zeichenfolge, wenn in Ihrer Umgebung ein anderer SQL-Server oder eine andere SQL-Datenbank verwendet wird. Die Beschreibung wird im Paket in die Parameters.xml-Datei eingefügt und kann an der Eingabeaufforderung angezeigt werden, indem Sie Folgendes eingeben: msdeploy -verb:getParameters -source:package=<Paketdateiname>.

Typ

Sie können wahlweise einen Typ für die Parameterüberprüfung auswählen. Mögliche Werte sind Kein, Regulärer Ausdruck, Aufzählung und Boolesch. Der Standardwert ist Kein. Wenn Sie einen anderen Typ auswählen, wird der vom Benutzer eingegebene Wert für den Parameter entsprechend überprüft. Wenn Sie Regulärer Ausdruck oder Aufzählung wählen, müssen Sie im Feld Überprüfungszeichenfolge eine Zeichenfolge für die Überprüfung angeben.

Überprüfungszeichenfolge

Geben Sie einen regulären Ausdruck oder eine durch Trennzeichen getrennte Liste mit Aufzählungswerten ein. Weitere Informationen zu regulären Ausdrücken finden Sie unter Reguläre Ausdrücke (möglicherweise in englischer Sprache).

Siehe auch

Begriffe

Seite "Parameter auswählen"
Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Dialogfeld "Parametereintrag hinzufügen"

Geben Sie im Dialogfeld Parametereintrag hinzufügen die Werte Typ, Bereich und Übereinstimmung für Ihren Parameter an.

Benutzeroberflächenelemente

Elementname | Beschreibung
Typ | Wählen Sie in der Dropdownliste den Parametertyp aus, den Sie für das zu parametrisierende Attribut verwenden möchten. Die folgenden Parametertypen sind verfügbar: XML-Datei, Textdatei, Speicherort der Textdatei, Anbieterpfad, Bereitstellungsattribut, Zielbindung und Virtuelles Zielverzeichnis. Wenn Sie z. B. einen Verbindungszeichenfolgen-Parameter erstellt haben, können Sie in der Dropdownliste XML File auswählen, weil die Verbindungszeichenfolge sich in einer Web.config-Datei befindet, die im XML-Format vorliegt.
Bereich | Geben Sie einen Bereich für das zu parametrisierende Attribut ein. Der Wert muss ein regulärer Ausdruck sein. Wenn der Parametertyp z. B. Xml File ist, können Sie für den Bereich den regulären Ausdruck \\web.config$ verwenden. Der erste umgekehrte Schrägstrich ist das einleitende Escapezeichen, und das Dollarzeichen ($) beendet die übereinstimmende Zeichenfolge am Ende der Zeile. Deswegen lautet der sich ergebende Bereich „\web.config“. Weitere Informationen zu regulären Ausdrücken finden Sie unter Reguläre Ausdrücke (möglicherweise in englischer Sprache).
Übereinstimmung | Geben Sie einen Ausdruck ein, der das zu parametrisierende Attribut identifiziert. Dieser Wert ist vom Typ abhängig. In einigen Fällen ist es ein regulärer Ausdruck oder ein XPath-Ausdruck. Der Xml File-Typ erfordert, dass der übereinstimmende Wert ein XPath-Ausdruck ist. In Anlehnung an das vorherige Beispiel können Sie den XPath-Ausdruck //connectionStrings/add/@connectionString verwenden, um den Verbindungszeichenfolgeneintrag in einer Web.config-Datei anzugeben.

Siehe auch

Begriffe

Seite "Parameter auswählen"
Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Dialogfeld "Parametereintrag bearbeiten"

Im Dialogfeld Parametereintrag bearbeiten können Sie die Werte Typ, Bereich und Übereinstimmung für Ihren Parameter bearbeiten. Wenn Sie noch keinen Parameter erstellt haben, finden Sie Informationen unter Dialogfelder "Parameter hinzufügen" und "Parameter bearbeiten".

Benutzeroberflächenelemente

Elementname | Beschreibung
Typ | Über die Dropdownliste können Sie den Parametertyp ändern. Die folgenden Parametertypen sind verfügbar: XML-Datei, Textdatei, Speicherort der Textdatei, Anbieterpfad, Bereitstellungsattribut, Zielbindung und Virtuelles Zielverzeichnis. Wenn Sie z. B. einen Verbindungszeichenfolgen-Parameter erstellt haben, können Sie in der Dropdownliste XML File auswählen, weil die Verbindungszeichenfolge sich in einer Web.config-Datei befindet, die im XML-Format vorliegt.
Bereich | Bearbeiten Sie den Bereich für das zu parametrisierende Attribut. Der Wert muss ein regulärer Ausdruck sein. Wenn der Parametertyp z. B. XML-Datei ist, können Sie für den Bereich den regulären Ausdruck \\web.config$ verwenden. Der erste umgekehrte Schrägstrich ist das einleitende Escapezeichen, und das Dollarzeichen ($) beendet die übereinstimmende Zeichenfolge am Ende der Zeile. Deswegen lautet der sich ergebende Bereich „\web.config“. Weitere Informationen zu regulären Ausdrücken finden Sie unter Reguläre Ausdrücke (möglicherweise in englischer Sprache).
Übereinstimmung | Bearbeiten Sie den Ausdruck, der das zu parametrisierende Attribut identifiziert. Dieser Wert ist vom Typ abhängig. In einigen Fällen ist es ein regulärer Ausdruck oder ein XPath-Ausdruck. Der Xml File-Typ erfordert, dass der übereinstimmende Wert ein XPath-Ausdruck ist. In Anlehnung an das vorherige Beispiel können Sie den XPath-Ausdruck //connectionStrings/add/@connectionString verwenden, um den Verbindungszeichenfolgeneintrag in einer Web.config-Datei anzugeben.

Siehe auch

Begriffe

Seite "Parameter auswählen"
Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Seite "Paket speichern"

Geben Sie im Assistenten zum Exportieren des Anwendungspakets auf der Seite Paket speichernden Dateinamen und einen Speicherort an, wenn Sie das Paket speichern möchten.

Benutzeroberflächenelemente

Elementname | Beschreibung
Paketpfad | Geben Sie einen Dateinamen für das Paket ein. Der Dateiname muss die Erweiterung .zip aufweisen.
Durchsuchen… | Klicken Sie auf die Schaltfläche zum Durchsuchen (…), um den Speicherort anzugeben, an dem das Paket gespeichert werden soll.

Siehe auch

Begriffe

Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Dialogfeld "Verschlüsselungskennwort"

Geben Sie im Assistenten zum Exportieren des Anwendungspakets im Dialogfeld Kennwortverschlüsselung ein Kennwort für den Paketinhalt an, der über Einstellungen verfügt, die als sicher markiert wurden.

Benutzeroberflächenelemente

Elementname | Beschreibung
Kennwort | Geben Sie ein Kennwort ein, das angegeben werden muss, wenn das Paket später importiert wird. Wenn Sie kein Kennwort für Einstellungen angeben, die als sicher markiert wurden, können Sie das Paket nicht exportieren.
Kennwort bestätigen | Bestätigen Sie das Kennwort durch erneute Eingabe.

Siehe auch

Begriffe

Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Seite "Exportfortschritt und Zusammenfassung"

Auf der Seite Exportfortschritt und Zusammenfassung des Assistenten zum Exportieren des Anwendungspakets können Sie den Status des Exportvorgangs überwachen und nach Abschluss des Assistenten eine Zusammenfassung sowie detaillierte Informationen zum Vorgang anzeigen.

Benutzeroberflächenelemente

Elementname Beschreibung

Status

Im Bereich Status wird der aktuell durchgeführte Vorgang angezeigt (z. B. das Kopieren einer Datei oder ein Datenbankskriptvorgang). Während des Exportierens werden Sie möglicherweise zur Eingabe eines Kennworts aufgefordert, wenn die Anwendung Elemente wie z. B. Kennwörter oder Zertifikate enthält, für die eine Verschlüsselung erforderlich ist. Der Exportvorgang kann sehr lange dauern, wenn eine große Datenmenge exportiert wird oder wenn die Daten auf einen Remoteserver exportiert werden.

Zusammenfassung

Bietet eine Übersicht über die durchgeführten Aktionen, einschließlich aller Fehler, die während des Erstellungsprozesses aufgetreten sind.

Wichtig
Die Registerkarte Zusammenfassung enthält keine vollständige Liste mit den durchgeführten Aktionen oder aufgetretenen Fehlern. Klicken Sie auf die Registerkarte Details, um ausführliche Informationen zu erhalten.

Details

Bietet eine ausführliche Liste mit den durchgeführten Aktionen. Wenn Fehler aufgetreten sind, finden Sie auf dieser Registerkarte ausführliche Informationen zu den Fehlern, die Sie für die Problembehandlung verwenden können.

Siehe auch

Begriffe

Seiten für den Assistenten zum Exportieren des Anwendungspakets und zum Exportieren des Serverpakets


Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets

Seite "Paket auswählen"

Dialogfeld "Entschlüsselungskennwort"

Seite "Wählen Sie den Inhalt des Pakets aus"

Dialogfeld "Erweiterte Einstellungen" (Importieren)

Seite "Datenbank auswählen"

Seite "Anwendungspaketinformationen eingeben"

Seite "Vorhandene Dateien überschreiben"

Seite "Installationsfortschritt und Zusammenfassung"


Seite "Paket auswählen"

Wählen Sie auf der Seite Paket auswählen ein vorhandenes Paket aus, das Sie auf Ihrer Site oder Ihrem Server installieren möchten.

Benutzeroberflächenelemente

Elementname | Beschreibung
Paketpfad | Gibt den Speicherort des Pakets an, das Sie auf Ihrer Site oder Ihrem Server installieren möchten.
Durchsuchen… | Klicken Sie auf die Schaltfläche zum Durchsuchen, um den Speicherort des Pakets anzugeben, das importiert werden soll.

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets


Dialogfeld "Entschlüsselungskennwort"

Geben Sie im Assistenten zum Importieren des Anwendungspakets im Dialogfeld Entschlüsselungskennwort ein Kennwort für den Paketinhalt an, der über Einstellungen verfügt, die als sicher markiert wurden.

Benutzeroberflächenelemente

Elementname | Beschreibung
Kennwort | Geben Sie das Kennwort ein, das erforderlich ist, um den Paketinhalt zu entschlüsseln. Die Eingabe eines Kennworts ist erforderlich, weil bei der Erstellung des Pakets einige Einstellungen als sicher markiert wurden. Wenn Sie das Kennwort, das bei der Erstellung des Pakets festgelegt wurde, nicht angeben, können Sie das Paket nicht importieren.

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets


Seite "Wählen Sie den Inhalt des Pakets aus"

Zeigen Sie im Assistenten zum Importieren des Anwendungspakets auf der Seite Wählen Sie den Inhalt des Pakets aus die Komponenten an, die in dem Paket enthalten sind, das Sie auf der Seite Paket auswählen ausgewählt haben.

Pakete können Komponenten wie z. B. die Registrierungseinstellungen, COM, GAC-Assemblys oder Zertifikate enthalten. Um diese Komponenten auf Ihrem Server zu installieren, müssen Sie ein Mitglied der Gruppe Administratoren sein, oder die entsprechenden Berechtigungen müssen Ihnen zugewiesen worden sein. Administratorberechtigungen sind nicht erforderlich, wenn nur Inhalt installiert wird.

Benutzeroberflächenelemente

Elementname Beschreibung

Paketinhalt

Listet die Komponenten auf, die im Paket enthalten sind. Sie können festlegen, welche Paketkomponenten Sie bereitstellen möchten, indem Sie die entsprechenden Kontrollkästchen aktivieren oder deaktivieren. Sie können z. B. eine SQL-Datenbank oder GAC-Assembly ein- oder ausschließen, indem Sie das entsprechende Kontrollkästchen aktivieren oder deaktivieren.

Vorsicht
Einige Komponenten sind möglicherweise erforderlich, um die Anwendung auszuführen. Wenn Sie die Kontrollkästchen für diese Komponenten deaktivieren, funktioniert die Anwendung nach der Installation möglicherweise nicht ordnungsgemäß.

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets


Dialogfeld "Erweiterte Einstellungen" (Importieren)

Verwenden Sie im Assistenten zum Importieren des Anwendungspakets das Dialogfeld Erweiterte Einstellungen, um Einstellungen für Ihr Paket anzugeben.

Benutzeroberflächenelemente

Erweiterte Optionen

Elementname Beschreibung

Entschlüsselungskennwort

Öffnet das Dialogfeld Entschlüsselungskennwort, in dem Sie das zur Entschlüsselung des Paketinhalts erforderliche Kennwort eingeben.

Während der Durchführung eines Importvorgangs erkennt das Web Deploy-Tool automatisch, ob ein verschlüsseltes Objekt, z. B. ein Anwendungspool mit benutzerdefinierter Identität, in den Konfigurationsdateien des Pakets auf Serverebene vorliegt (z. B. ApplicationHost.config oder Machine.config). Wenn ein verschlüsseltes Objekt vorliegt, müssen Sie ein Kennwort dafür angeben. Wenn nicht das korrekte Kennwort angegeben wird, tritt bei der Durchführung des Importvorgangs ein Fehler auf.

ACLs aufnehmen

Wählen Sie True, wenn ACLs des angegebenen Pfads von der Quelle zum Ziel kopiert werden. Wenn das nicht der Fall ist, wählen Sie False. Diese Einstellung gilt für das Dateisystem, die Registrierung, die Metabasis und nur diese Anbieter: appHostConfig, contentPath, iisApp, metaKey, webServer und webServer60. Der Standardwert ist False.

Verknüpfungserweiterung

Klicken Sie auf das rechte Feld, und klicken Sie dann auf den Pfeil, um die Dropdownliste mit Verknüpfungserweiterungen anzuzeigen. Wählen Sie die Erweiterungen in der Liste aus, bzw. heben Sie die Auswahl auf, um die Verknüpfungserweiterungen, die für den Vorgang gelten sollen, zu aktivieren oder zu deaktivieren. Verknüpfungserweiterungen schließen bestimmte Datenarten für einen Vorgang ein bzw. aus. Verfügbare Web Deploy-Erweiterungen sind AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension und HttpCertConfigExtension. Diese Erweiterungen sind standardmäßig aktiviert. Weitere Informationen zu Verknüpfungserweiterungen finden Sie unter Web Deploy-Linkverknüpfungen (möglicherweise in englischer Sprache).

Erneute Versuche

Geben Sie ein, wie oft der Anbieter nach einem Fehler versucht, den Vorgang zu wiederholen. In der Standardeinstellung werden fünf erneute Versuche mit einer Verzögerung von einer Sekunde zwischen jedem erneuten Versuch durchgeführt. Die Einstellungen für erneute Versuche können nur mit dem contentPath-Anbieter verwendet werden.

Zeitraum zwischen den Versuchen

Geben Sie einen Wert in Millisekunden ein. Der Wert gibt das Zeitintervall zwischen den erneuten Versuchen des Anbieters an. Die Standardeinstellung ist 1.000 (eine Sekunde). Diese Einstellung kann nur mit dem contentPath-Anbieter verwendet werden.

Ablaufverfolgungsebene

Wählen Sie in der Dropdownliste einen Wert aus, der den Detaillierungsgrad in Fehlermeldungsprotokollen angibt. Mögliche Werte sind: Aus, Fehler, Warnung, Informationen und Ausführlich. Der Standardwert ist Informationen. Wenn Aus ausgewählt ist, werden keine Fehlermeldungen protokolliert. Wenn Ausführlich ausgewählt ist, werden alle Fehlermeldungen protokolliert.

Synchronisierungsoptionen

Elementname Beschreibung

Regeln

Öffnet das Dialogfeld Regeln aktivieren oder deaktivieren, in dem Sie Regeln für den Vorgang angeben können. Weitere Informationen finden Sie unter Dialogfeld "Regeln aktivieren oder deaktivieren".

WhatIf

Klicken Sie auf die Dropdownliste, um True oder False anzugeben. True gibt an, dass der Vorgang ausgeführt wird, ohne dass Änderungen vorgenommen werden. Mit dieser Einstellung können Sie die Ergebnisse eines Vorgangs anzeigen, wenn alle Teile des Vorgangs erfolgreich ausgeführt werden. Der Standardwert ist False.

Hinweis
Ein Befehl, der mit der WhatIf-Einstellung erfolgreich zu sein scheint, schlägt u. U. fehl, wenn er ohne die WhatIf-Einstellung ausgeführt wird. Das kann geschehen, wenn während des Vorgangs unerwartete Fehler auftreten. Da während eines WhatIf-Vorgangs beispielsweise keine Daten geschrieben werden, werden keine Fehler bezüglich Schreibberechtigungen erkannt. Die WhatIf-Einstellung zeigt nur, was passiert, wenn alle Befehle erfolgreich ausgeführt werden.

Siehe auch

Begriffe

Seite "Wählen Sie den Inhalt des Pakets aus"
Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets


Seite "Datenbank auswählen"

Wählen Sie auf der Seite Datenbank auswählen die Datenbankoptionen aus, die Sie für das Paket verwenden möchten, das Sie installieren. Diese Seite wird nur angezeigt, wenn in dem Paket mehrere Datenbanktypen zur Verfügung stehen.

Hinweis
Diese Seite wird nicht angezeigt, wenn zwar mehrere Datenbanktypen vorhanden sind, Sie jedoch auf der Seite Wählen Sie den Inhalt des Pakets aus die Kontrollkästchen für alle bis auf einen Datenbanktyp deaktiviert haben.

Benutzeroberflächenelemente

Elementname | Beschreibung
Wählen Sie die Datenbank aus, die Sie verwenden möchten | Wählen Sie den Datenbanktyp für die Installation aus. Mögliche Datenbanktypen sind SQL, MySQL, VistaDB, SQLite, Flatfile und Keine Datenbank. Es hängt von dem Inhalt des Pakets ab, das Sie installieren, welche Datenbankoptionen angezeigt werden. Nur den Optionen SQL und MySQL sind Anbieter zugeordnet. Weitere Informationen finden Sie unter Web Deploy dbFullSql-Anbieter (möglicherweise in englischer Sprache) und Web Deploy MySQL-Anbieter (möglicherweise in englischer Sprache).
Neue Datenbank erstellen/Vorhandene Datenbank verwenden | Wählen Sie Neue Datenbank erstellen, um eine neue Datenbank zu erstellen, oder Vorhandene Datenbank verwenden, um eine vorhandene Datenbank zu verwenden. Diese Option ist nur verfügbar, wenn Sie als Datenbanktyp SQL oder MySQL ausgewählt haben.

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets
Seite "Anwendungspaketinformationen eingeben"


Seite "Anwendungspaketinformationen eingeben"

Geben Sie im Assistenten zum Importieren des Anwendungspakets auf der Seite Anwendungspaketinformationen eingeben Werte für die Parameter ein, die im Paket deklariert wurden. Jeder Parameter verfügt auf der Seite über ein Feld. Die auf der Seite angezeigten Felder sind von den Parametern abhängig, die im Paket deklariert wurden.

Benutzeroberflächenelemente

Elementname | Beschreibung
<Parametername> | Geben Sie einen Wert für den Parameter an, der zur Installation des Pakets erforderlich ist. Diese Informationen können den vollständigen Pfad der Site zum Installieren der Anwendung, Benutzeranmeldeinformationen oder des Namens der Datenbank für Ihre Anwendung enthalten. Sie können beispielsweise den Wert des Anwendungspfads ändern, um den Speicherort für die Anwendung anzugeben, z. B. Standard-Website/NeueAnw.

Siehe auch

Begriffe

Dialogfeld "Verbindungszeichenfolge bearbeiten"


Dialogfeld "Verbindungszeichenfolge bearbeiten"

Geben Sie im Dialogfeld Verbindungszeichenfolge bearbeiten die Verbindungszeichenfolge und die Anmeldeinformationen ein, die Sie verwenden möchten.

Benutzeroberflächenelemente

Elementname | Beschreibung
SQL-Server | Wählen Sie diese Option aus, um einen SQL-Server zu verwenden, den Sie angeben können.
Server | Geben Sie den Pfad oder die Verbindungszeichenfolge des Servers ein, den Sie verwenden möchten (z. B. .\SQLExpress).
Datenbank | Geben Sie den Namen der Datenbank ein, die Sie verwenden möchten (z. B. Test).
Integrierte Windows-Sicherheit verwenden | Wählen Sie diese Option, um die integrierte Windows-Sicherheit zu verwenden. Die integrierte Windows-Sicherheit übergibt Anmeldeinformationen an ASP.NET und erfordert keine erneute Authentifizierung, wenn der Benutzer bereits bei Windows angemeldet ist. Diese Authentifizierungsmethode funktioniert am besten, wenn sich sowohl der Client als auch der Server in derselben Domäne befinden.
Anmeldeinformationen angeben | Wählen Sie diese Option, um benutzerspezifische Anmeldeinformationen zu verwenden. Klicken Sie auf Festlegen, um das Dialogfeld Anmeldeinformationen festlegen zu öffnen, und geben Sie Ihren Benutzernamen und das Kennwort ein.
Benutzerdefiniert | Wählen Sie diese Option aus, um einen benutzerdefinierten Pfad oder eine Verbindungszeichenfolge für den Server auszuwählen, den Sie verwenden möchten Server=.\SQLExpress;Datenbank=Test;Integrierte Sicherheit=true).

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets
Seite "Anwendungspaketinformationen eingeben"


Seite "Vorhandene Dateien überschreiben"

Geben Sie auf der Seite Vorhandene Dateien überschreiben an, ob Sie neue Dateien an das Ziel anhängen oder die vorhandenen Dateien überschreiben und die Dateien, die über keine Kopie im Anwendungspaket verfügen, löschen möchten.

Benutzeroberflächenelemente

Elementname | Beschreibung
Nein, nur die Dateien im Anwendungspaket an das Ziel anhängen. | Wählen Sie diese Option aus, damit die vorhandenen Dateien im Ziel bleiben und die neuen Dateien aus dem Anwendungspaket hinzugefügt werden.
Ja, alle zusätzlichen Dateien und Ordner im Ziel löschen, die sich nicht im Anwendungspaket befinden. | Wählen Sie diese Option aus, um Dateien im Ziel zu löschen, die sich nicht im Anwendungspaket befinden.

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets


Seite "Installationsfortschritt und Zusammenfassung"

Auf der Seite Installationsfortschritt und Zusammenfassung können Sie den Fortschritt des Importvorgangs sowie eine Zusammenfassung und detaillierte Informationen nach Abschluss des Assistenten anzeigen.

Benutzeroberflächenelemente

Elementname Beschreibung

Status

Im Bereich Status wird der aktuell durchgeführte Vorgang angezeigt (z. B. das Kopieren einer Datei oder ein Datenbankskriptvorgang). Während des Importierens werden Sie möglicherweise zur Eingabe eines Kennworts aufgefordert, wenn die Anwendung Elemente wie z. B. Kennwörter oder Zertifikate enthält, für die eine Entschlüsselung erforderlich ist. Der Importvorgang kann sehr lange dauern, wenn eine große Datenmenge importiert wird oder wenn die Daten auf einen bzw. von einem Remoteserver importiert werden.

Zusammenfassung

Bietet eine Übersicht über die durchgeführten Aktionen, einschließlich aller Fehler, die während des Installationsprozesses aufgetreten sind.

Wichtig
Die Registerkarte Zusammenfassung enthält keine vollständige Liste mit den durchgeführten Aktionen oder aufgetretenen Fehlern. Klicken Sie auf die Registerkarte Details, um ausführliche Informationen zu erhalten.

Details

Bietet eine ausführliche Liste mit den durchgeführten Aktionen. Wenn Fehler aufgetreten sind, finden Sie auf dieser Registerkarte ausführliche Informationen zu den Fehlern, die Sie für die Problembehandlung verwenden können.

Siehe auch

Begriffe

Seiten des Assistenten zum Importieren des Anwendungspakets und zum Importieren des Server- oder Site-Pakets